Skip to main content
POST
/
api
/
v1
/
execution
/
api
/
execute_test_id_async
Execute Test Id Async
curl --request POST \
  --url https://backend.revyl.ai/api/v1/execution/api/execute_test_id_async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "test_id": "<string>",
  "get_downloads": false,
  "device_local": true,
  "backend_url": "<string>",
  "test_entrypoint": "<string>",
  "retries": 1,
  "source": "api",
  "app_link": "<string>",
  "build_version_id": "<string>",
  "llm_model_name": "<string>",
  "run_config": {
    "llm_config": {
      "primary_model": "gemini/gemini-3-flash-preview",
      "reflection_model": "gemini/gemini-3-flash-preview",
      "planning_model": "gemini/gemini-3-flash-preview"
    },
    "execution_mode": {
      "human_in_the_loop": false,
      "enable_reflection": true,
      "enable_planning": false,
      "retries": 1,
      "reflection_retries": 1,
      "skip_app_install": false,
      "grounder_type": "moondream3"
    },
    "run_id": "<string>",
    "cache_retry_mode": "full_rerun",
    "fallback_trigger": "final_fail",
    "disable_grid": true
  }
}
'
{
  "status": "initialized",
  "message": "<string>",
  "id": "<string>",
  "task_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Revyl-Client
string | null
X-CI-System
string | null
X-CI-Commit-SHA
string | null
X-CI-Branch
string | null
X-CI-PR-Number
integer | null
X-CI-Run-URL
string | null
X-CI-Run-ID
string | null
X-CI-Repository
string | null

Body

application/json
test_id
string
required
get_downloads
boolean | null
default:false
device_local
boolean | null
backend_url
string | null
test_entrypoint
string | null
retries
integer | null
default:1
source
string | null
default:api

Execution source: ui, api, ci_cd, or workflow. Defaults to 'api' for direct API calls.

build_version_id
string | null

Override the build to use for this test execution. If provided, this will override the build attached to the test.

llm_model_name
string | null

Simple way to set the primary LLM model (automatically configures run_config.llm_config.primary_model)

run_config
TestRunConfig · object

Complete configuration for the test run (overrides flattened fields if provided)

Response

Successful Response

Response for async test execution start.

status
enum<string>
required
Available options:
initialized,
failed,
queued,
running,
completed,
cancelled,
initializing
message
string
required
id
string
required

Execution ID

task_id
string
required

Alias for id, for backwards compatibility with older clients.